org.scalatest.matchers.Matchers

# ResultOfNotWordForJavaMap

#### class ResultOfNotWordForJavaMap [K, V] extends ResultOfNotWordForAnyRef[Map[K, V]]

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
ResultOfNotWordForAnyRef[Map[K, V]], ResultOfNotWord[Map[K, V]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResultOfNotWordForJavaMap
2. ResultOfNotWordForAnyRef
3. ResultOfNotWord
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResultOfNotWordForJavaMap (left: Map[K, V], shouldBeTrue: Boolean)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def be (resultOfSameInstanceAsApplication: ResultOfTheSameInstanceAsApplication): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       otherString should not be theSameInstanceAs (string)
                              ^

   Definition Classes
     ResultOfNotWordForAnyRef

8. #### def be [U >: Map[K, V]] (resultOfAnWordApplication: ResultOfAnWordToBePropertyMatcherApplication[U]): Unit

   This method enables the following syntax, where `keyEvent` is, for example, of type `KeyEvent` and `actionKey` refers to a `BePropertyMatcher[KeyEvent]`:

   This method enables the following syntax, where `keyEvent` is, for example, of type `KeyEvent` and `actionKey` refers to a `BePropertyMatcher[KeyEvent]`:

       keyEvent should not be an (actionKey)
                           ^

   Definition Classes
     ResultOfNotWordForAnyRef

9. #### def be (resultOfAnWordApplication: ResultOfAnWordToSymbolApplication): Unit

   This method enables the following syntax:

   This method enables the following syntax:

       keyEvent should not be an ('actionKey)
                           ^

   Definition Classes
     ResultOfNotWordForAnyRef

10. #### def be [U >: Map[K, V]] (resultOfAWordApplication: ResultOfAWordToBePropertyMatcherApplication[U]): Unit

    This method enables the following syntax, where `notFileMock` is, for example, of type `File` and `file` refers to a `BePropertyMatcher[File]`:

    This method enables the following syntax, where `notFileMock` is, for example, of type `File` and `file` refers to a `BePropertyMatcher[File]`:

        notFileMock should not be a (file)
                               ^

    Definition Classes
      ResultOfNotWordForAnyRef

11. #### def be (resultOfAWordApplication: ResultOfAWordToSymbolApplication): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        notFileMock should not be a ('file)
                               ^

    Definition Classes
      ResultOfNotWordForAnyRef

12. #### def be (bePropertyMatcher: BePropertyMatcher[Map[K, V]]): Unit

    This method enables the following syntax, where `stack` is, for example, of type `Stack` and `empty` refers to a `BePropertyMatcher[Stack]`:

    This method enables the following syntax, where `stack` is, for example, of type `Stack` and `empty` refers to a `BePropertyMatcher[Stack]`:

        stack should not be (empty)
                             ^

    Definition Classes
      ResultOfNotWordForAnyRef

13. #### def be (symbol: Symbol): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        stack should not be ('empty)
                         ^

    Definition Classes
      ResultOfNotWordForAnyRef

14. #### def be (o: Null): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        map should not be (null)
                       ^

    Definition Classes
      ResultOfNotWordForAnyRef

15. #### def be (beMatcher: BeMatcher[Map[K, V]]): Unit

    This method enables the following syntax, where `odd` refers to a `BeMatcher[Int]`:

    This method enables the following syntax, where `odd` refers to a `BeMatcher[Int]`:

        2 should not be (odd)
                     ^

    Definition Classes
      ResultOfNotWord

16. #### def be (comparison: ResultOfTripleEqualsApplication): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be === (7)
                          ^

    Definition Classes
      ResultOfNotWord

17. #### def be (comparison: ResultOfGreaterThanComparison[Map[K, V]]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be > (7)
                          ^

    Definition Classes
      ResultOfNotWord

18. #### def be (comparison: ResultOfLessThanComparison[Map[K, V]]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be < (7)
                          ^

    Definition Classes
      ResultOfNotWord

19. #### def be (comparison: ResultOfGreaterThanOrEqualToComparison[Map[K, V]]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be >= (7)
                          ^

    Definition Classes
      ResultOfNotWord

20. #### def be (comparison: ResultOfLessThanOrEqualToComparison[Map[K, V]]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be <= (7)
                          ^

    Definition Classes
      ResultOfNotWord

21. #### def be (right: Any): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not be (7)
                          ^

    Definition Classes
      ResultOfNotWord

22. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def contain (resultOfValueWordApplication: ResultOfValueWordApplication[V]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        javaMap should not contain value (3)
                                   ^

24. #### def contain (resultOfKeyWordApplication: ResultOfKeyWordApplication[K]): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        javaMap should not contain key ("three")
                           ^

25. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

26. #### def equal (right: Any): Unit

    This method enables the following syntax:

    This method enables the following syntax:

        result should not equal (7)
                          ^

    Definition Classes
      ResultOfNotWord

27. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

28. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

30. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

31. #### def have [U >: Map[K, V]] (firstPropertyMatcher: org.scalatest.matchers.HavePropertyMatcher[U, _], propertyMatchers: org.scalatest.matchers.HavePropertyMatcher[U, _]*): Unit

    This method enables the following syntax, where `badBook` is, for example, of type `Book` and `title ("One Hundred Years of Solitude")` results in a `HavePropertyMatcher[Book]`:

    This method enables the following syntax, where `badBook` is, for example, of type `Book` and `title ("One Hundred Years of Solitude")` results in a `HavePropertyMatcher[Book]`:

        book should not have (title ("One Hundred Years of Solitude"))
                        ^

    Definition Classes
      ResultOfNotWordForAnyRef

32. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

33. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

34. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

35. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

36. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

37. #### def toString (): String

    Definition Classes
      AnyRef → Any

38. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

39. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

40. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from ResultOfNotWordForAnyRef[Map[K, V]]

### Inherited from ResultOfNotWord[Map[K, V]]

### Inherited from AnyRef

### Inherited from Any